Bug 204681 - www/libevhtp: Update to 1.2.11
Summary: www/libevhtp: Update to 1.2.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks: 203933
  Show dependency treegraph
 
Reported: 2015-11-19 16:11 UTC by Ultima
Modified: 2015-12-03 14:57 UTC (History)
2 users (show)

See Also:
Ultima1252: maintainer-feedback+


Attachments
libevhtp.diff (4.38 KB, patch)
2015-11-19 16:11 UTC, Ultima
no flags Details | Diff
libevhtp.diff (4.38 KB, patch)
2015-11-19 16:22 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
libevhtp.diff (6.76 KB, patch)
2015-11-22 16:11 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
libevhtp.diff (9.62 KB, patch)
2015-11-28 02:13 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
libevhtp.diff (9.26 KB, patch)
2015-11-28 16:19 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
libevhtp.diff (7.12 KB, patch)
2015-11-29 04:43 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ultima 2015-11-19 16:11:05 UTC
Created attachment 163333 [details]
libevhtp.diff

This patch will update libevhtp to the most recent version. There are also some minor changes and fixes with a new option, debug. On version 1.2.11, there is a new hierarchy which is striped. This is due to a seemingly rushed release not ready for this change. It will be removed in future versions. The current patchs are no longer needed. Commit 6cd8946 caused issues on versions after 1.2.9. The modified patch reverts the change.

* Updated to version 1.2.11
* Removed tagname
* Added Debug option
* Stripped new hierarchy
* Fixed incorrect versioning
* Removed obsolete patches
* Reverted change from commit 6cd8946
Comment 1 Ultima 2015-11-19 16:22:59 UTC
Created attachment 163336 [details]
libevhtp.diff
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-21 14:57:56 UTC
*  .if ${PORT_OPTIONS:MEVHTP_BUILD_SHARED} can be made into an OPTIONS helper
* Please add a comment to the header of the patch with a reference to the upstream issue. Something like:

# Description: <issue summary>
# Issue ID: <url to issue>
Comment 3 Ultima 2015-11-22 16:11:41 UTC
Created attachment 163431 [details]
libevhtp.diff

* Updated to version 1.2.11
* Removed tagname
* Added Debug option
* Changed option names to utilize bsd.options.desc.mk the defaults have been modified, but the end result is the same.
* Removed plist from Makefile, Added pkg-plist to port
* Stripped new hierarchy
* Changed pkgconfig directory to install to proper location
* Fixed incorrect versioning
* Removed obsolete patches
* Added patch to reverted change from commit 6cd8946 with details on header.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-27 02:12:01 UTC
@Ultima, please confirm this passes QA (portlint, poudriere). Attachments are not necessary, just something like:

* portlint: OK
* testport: OK (poudriere, <archs>, <versions>, <combinations>)
Comment 5 Ultima 2015-11-27 02:59:31 UTC
portlint: WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.

poudriere bulk -C -t: 102amd64=ok 102i386=ok 93amd64=ok 93i386=ok with defaults,
102amd64=ok 102i386=ok 93amd64=ok 93i386=ok with inverted defaults,
102amd64=ok 102i386=ok 93amd64=ok 93i386=ok all on,
102amd64=ok 102i386=ok 93amd64=ok 93i386=ok all off
Comment 6 Ultima 2015-11-28 02:13:19 UTC
Created attachment 163601 [details]
libevhtp.diff

* Added another revert for commit 67ed0bc as it breaks downloading for seafile-gui
Comment 7 Ultima 2015-11-28 16:19:00 UTC
Created attachment 163633 [details]
libevhtp.diff

* Updated to version 1.2.11
* Removed tagname
* Added Debug option
* Changed option names to utilize bsd.options.desc.mk the defaults have been modified, but the end result is the same.
* Removed plist from Makefile, Added pkg-plist to port
* Stripped new hierarchy
* Changed pkgconfig directory to install to proper location
* Fixed incorrect versioning
* Removed obsolete patches
* Added patch to reverted change from commit 67ed0bc with details on header.
Comment 8 Ultima 2015-11-28 22:12:20 UTC
 My initial tests of the recent patch were flawed. Still working on a proper patch.
Comment 9 Ultima 2015-11-29 04:43:31 UTC
Created attachment 163643 [details]
libevhtp.diff

 This will be my final change for this bug unless anyone has issues, or a better solution. Basically there are some changes that fixes issues with pipelined requests. Unfortunately this change has caused some issues on Seafile. This patch will give full functionality back to Seafile.

* Updated to version 1.2.11
* Removed tagname
* Added Debug option
* Changed option names to utilize bsd.options.desc.mk the defaults have been modified, but the end result is the same.
* Removed plist from Makefile, Added pkg-plist to port
* Stripped new hierarchy
* Changed pkgconfig directory to install to proper location
* Fixed incorrect versioning
* Removed obsolete patches
* Removed obsolete option TCP_DEFER_ACCEPT
* Added patch to reverted change from commit 67ed0bc with details on header.

Portlint:

www/libevhtp
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.

Poudriere bulk -C -t:
102amd64=ok 102i386=ok 93amd64=ok 93i386=ok with defaults
102amd64=ok 102i386=ok 93amd64=ok 93i386=ok with inverted defaults
102amd64=ok 102i386=ok 93amd64=ok 93i386=ok with all on
102amd64=ok 102i386=ok 93amd64=ok 93i386=ok with all off
Comment 10 commit-hook freebsd_committer 2015-12-03 14:57:45 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Dec  3 14:57:26 UTC 2015
New revision: 402878
URL: https://svnweb.freebsd.org/changeset/ports/402878

Log:
  - Update to 1.2.11
  - Fix option names
  - Add DEBUG options
  - Switch to pkg-plist

  PR:		204681
  Submitted by:	Ultima1252@gmail.com (maintainer)

Changes:
  head/www/libevhtp/Makefile
  head/www/libevhtp/distinfo
  head/www/libevhtp/files/patch-evhtp.c
  head/www/libevhtp/files/patch-evhtp.h
  head/www/libevhtp/pkg-plist